script.on_init(function()
	global.file_prefix = "spawner_log_" .. game.create_random_generator()(100000000, 1000000000) .. ".txt"
end)

script.on_event(defines.events.on_player_created, function(event)
	game.players[event.player_index].force.chart(1, {{x=-1024,y=-1024},{x=1024,y=1024}})
	game.speed=40
end)

script.on_event(defines.events.on_biter_base_built, function(event)
	local pos = event.entity.position
	local x, y = math.floor(pos.x), math.floor(pos.y)
	local quadrant = (y < 0 and "N" or "S") .. (x < 0 and "W" or "E")
	local msg = "Spawner built in " .. quadrant .. " quadrant: (" .. x .. ", " .. y .. ")\n"
	game.print(msg)
	game.write_file(global.file_prefix, msg, true)
end)

